body.single-post {
    background: var(--color-orange-82, #D8D3CC);
}

body.single-post header {
    background: inherit;
}

.single-post__top {
    margin-bottom: 40px;

    @media screen and (max-width: 1024px) {
        margin-bottom: 120px;
    }
}

.single-post__title {
    margin-bottom: 10px;
}

.single-post__description {
    font-size: 16px;
    line-height: 1.3;
}

.single-post__back-link {
    border-radius: 160px;
    border: 1px solid var(--color-grey-97);
    padding: 16px 24px 16px 24px;
    font-family: var(--font-second), sans-serif;
    font-size: 13px;
    font-weight: 500;
    line-height: 1;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.single-post__row {
    display: grid;
    grid-template-columns: 1fr 400px;
    gap: 20px;
    align-items: flex-start;

    @media screen and (max-width: 1024px) {
        grid-template-columns: 1fr;
    }
}

.single-post__left-column {
    padding: 40px;
    border-radius: 32px;
    border: 1px solid var(--color-grey-92);
    background: #F1ECE8;
    box-shadow: 112px 197px 63px 0 rgba(0, 0, 0, 0.00), 72px 126px 58px 0 rgba(0, 0, 0, 0.01), 40px 71px 49px 0 rgba(0, 0, 0, 0.05), 18px 31px 36px 0 rgba(0, 0, 0, 0.09), 4px 8px 20px 0 rgba(0, 0, 0, 0.10);

    &>*:not(:last-child) {
        margin-bottom: 40px;
    }

    @media screen and (max-width: 1024px) {
        padding: 20px;
    }
}

.single-post__item-title {
    color: var(--color-grey-7);
    font-size: 32px;
    line-height: 1.2;
    letter-spacing: -0.48px;
    margin-bottom: 20px;
}

.single-post__item-content {
    color: var(--color-grey-7);
    font-size: 16px;
    line-height: 1.5;

    ul {
        padding-left: 24px;

        li {
            position: relative;

            &::before {
                content: "";
                aspect-ratio: 1;
                width: 4px;
                border-radius: 50%;
                background-color: var(--color-grey-7);
                position: absolute;
                top: 11px;
                left: -14px;
            }
        }
    }
}

.single-post__right-column {
    position: sticky;
    top: 100px;

    @media screen and (max-width: 1024px) {
        display: none;
    }
}

.single-post__right-column>*:not(:last-child) {
    margin-bottom: 10px;
}

.single-post__link {
    padding: 12px 20px;
    border-radius: 10px;
    border: 1px solid var(--color-orange-8210);
    color: var(--color-grey-7);
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 1.1;
    letter-spacing: -0.48px;
    width: 100%;

    &:hover,
    &.active {
        background: var(--color-grey-97);
    }
}